CVE-2005-3267
CVSS10.0
发布时间 :2005-10-27 06:02:00
修订时间 :2016-10-17 23:34:16
NMCOS    

[原文]Integer overflow in Skype client before 1.4.x.84 on Windows, before 1.3.x.17 on Mac OS, before 1.2.x.18 on Linux, and 1.1.x.6 and earlier allows remote attackers to cause a denial of service (crash) via crafted network data with a large Object Counter value, which leads to a resultant heap-based buffer overflow.


[CNNVD]Skype Technologies Skype格式解析器堆溢出漏洞(CNNVD-200510-228)

        Skype是一款流行的P2P VoIP软件,可提供高质量的语音通讯服务。
        Skype在处理特定数据时存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞在主机上执行任意指令。Skype使用多种数据格式,每种格式都有其特定的解析器,其中用到了一个特定的编码来存储数字,被称为变量长度数据(VLD)。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-189 [数值错误]

- CPE (受影响的平台与产品)

cpe:/a:skype_technologies:skype:1.0.0.9
cpe:/a:skype_technologies:skype:1.3.0.16::mac_os_x
cpe:/a:skype_technologies:skype:0.92.0.12::linux
cpe:/a:skype_technologies:skype:0.98.0.04
cpe:/a:skype_technologies:skype:0.93.0.3::linux
cpe:/a:skype_technologies:skype:1.1.0.20::linux
cpe:/a:skype_technologies:skype:1.0.0.94
cpe:/a:skype_technologies:skype:1.0.0.97
cpe:/a:skype_technologies:skype:1.0.0.10
cpe:/a:skype_technologies:skype:1.0.0.1::linux
cpe:/a:skype_technologies:skype:1.0.0.7::linux
cpe:/a:skype_technologies:skype:1.1.0.0
cpe:/a:skype_technologies:skype:1.2.0.17::linux
cpe:/a:skype_technologies:skype:1.4.0.83
cpe:/a:skype_technologies:skype:1.0.0.18
cpe:/a:skype_technologies:skype:1.0.0.29
cpe:/a:skype_technologies:skype:1.1.06::pocket_pc
cpe:/a:skype_technologies:skype:1.0.0.100

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3267
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3267
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200510-228
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=113026202728568&w=2
(UNKNOWN)  BUGTRAQ  20051025 Skype security advisory
http://securityreason.com/securityalert/115
(UNKNOWN)  SREASON  115
http://skype.com/security/skype-sb-2005-03.html
(VENDOR_ADVISORY)  CONFIRM  http://skype.com/security/skype-sb-2005-03.html
http://www.kb.cert.org/vuls/id/905177
(UNKNOWN)  CERT-VN  VU#905177
http://www.securityfocus.com/bid/15192
(PATCH)  BID  15192
http://www.vupen.com/english/advisories/2005/2197
(VENDOR_ADVISORY)  VUPEN  ADV-2005-2197
http://xforce.iss.net/xforce/xfdb/22850
(UNKNOWN)  XF  skype-client-udp-bo(22850)

- 漏洞信息

Skype Technologies Skype格式解析器堆溢出漏洞
危急 缓冲区溢出
2005-10-27 00:00:00 2012-12-26 00:00:00
远程  
        Skype是一款流行的P2P VoIP软件,可提供高质量的语音通讯服务。
        Skype在处理特定数据时存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞在主机上执行任意指令。Skype使用多种数据格式,每种格式都有其特定的解析器,其中用到了一个特定的编码来存储数字,被称为变量长度数据(VLD)。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        x86平台, Microsoft Windows 2000或Microsoft Windows XP:
        http://www.skype.com/products/skype/windows/
        x86平台, Linux:
        http://www.skype.com/products/skype/linux/
        PPC平台, Mac OS X v10.3 (Panther)或之后版本:
        http://www.skype.com/products/skype/macosx/
        Pocket PC平台, Microsoft Windows Mobile 2003:
        http://www.skype.com/products/skype/pocketpc/

- 漏洞信息

20306
Skype Crafted UDP Packet Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

A remote overflow exists in Skype. The application fails to validate the user-controlled length of a UDP packet resulting in a heap overflow. With a specially crafted UDP packet, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-10-25 2005-10-18
Unknow Unknow

- 解决方案

Upgrade to the appropriate fixed version, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Skype Technologies Skype Networking Routine Heap Overflow Vulnerability
Boundary Condition Error 15192
Yes No
2005-10-25 12:00:00 2006-03-17 11:00:00
Discovery credited to the EADS Corporate Research Center security lab.

- 受影响的程序版本

Skype Technologies Skype (Pocket PC) 1.1 .0.6
Skype Technologies Skype (Mac OS X) 1.3 .0.16
Skype Technologies Skype (Linux) 1.2 .0.17
Skype Technologies Skype (Linux) 1.1 .0.20
Skype Technologies Skype (Linux) 1.0.0.7
Skype Technologies Skype (Linux) 1.0.0.1
Skype Technologies Skype (Linux) 0.93.0.3
Skype Technologies Skype (Linux) 0.92.0.12
Skype Technologies Skype 1.4 .0.83
Skype Technologies Skype 1.1 .0.0
Skype Technologies Skype 1.0 .0.97
Skype Technologies Skype 1.0 .0.94
Skype Technologies Skype 1.0 .0.9
Skype Technologies Skype 1.0 .0.29
Skype Technologies Skype 1.0 .0.18
Skype Technologies Skype 1.0 .0.100
Skype Technologies Skype 1.0 .0.10
Skype Technologies Skype 0.98.0.04

- 漏洞讨论

Skype is prone to a heap overflow in its networking routines. Successful exploitation could result in a denial of service or the execution of remote machine code in the context of the affected application.

This issue affects Skype for Windows 1.4.*.83 and earlier, Skype for Mac OS X 1.3.*.16 and earlier, Skype for Linux 1.2.*.17 and earlier, and Skype for Pocket PC 1.1.*.6 and earlier.

- 漏洞利用


A proof-of-concept exploit is available.

- 解决方案

Fixes are available.


Skype Technologies Skype (Linux) 1.0.0.7

Skype Technologies Skype (Linux) 1.0.0.1

Skype Technologies Skype (Linux) 0.92.0.12

Skype Technologies Skype 0.98.0.04

Skype Technologies Skype (Linux) 0.93.0.3

Skype Technologies Skype 1.0 .0.29

Skype Technologies Skype 1.0 .0.100

Skype Technologies Skype 1.0 .0.97

Skype Technologies Skype 1.0 .0.9

Skype Technologies Skype 1.0 .0.94

Skype Technologies Skype 1.0 .0.10

Skype Technologies Skype 1.0 .0.18

Skype Technologies Skype (Linux) 1.1 .0.20

Skype Technologies Skype 1.1 .0.0

Skype Technologies Skype (Linux) 1.2 .0.17

Skype Technologies Skype (Mac OS X) 1.3 .0.16

Skype Technologies Skype 1.4 .0.83

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站